uart_update_timeout
Prev | Chapter 23. 16x50 UART Driver | Next

## Name

uart_update_timeout — update per-port FIFO timeout.

## Synopsis

`void uart_update_timeout (` | struct uart_port * | port,
| unsigned int | cflag,
| unsigned int | baud`)`;

## Arguments

`port`

  uart_port structure describing the port

`cflag`

  termios cflag value

`baud`

  speed of the port

## Description

Set the port FIFO timeout value. The `cflag` value should reflect the actual hardware settings.

Prev | Up | Next
uart_handle_cts_change | Home | uart_get_baud_rate